# bio_buffer.h File Reference

`#include <gwenhywfar/bufferedio.h>`
`#include <gwenhywfar/buffer.h>`

Go to the source code of this file.

## Functions

GWENHYWFAR_API GWEN_BUFFEREDIO * | GWEN_BufferedIO_Buffer2_new (GWEN_BUFFER *buffer, int take)
GWENHYWFAR_API GWEN_BUFFEREDIO * | GWEN_BufferedIO_Buffer_fromString (const char *s, int len)
GWENHYWFAR_API GWEN_BUFFEREDIO * | GWEN_BufferedIO_Buffer_new (GWEN_BUFFER *buffer)

## Function Documentation

GWENHYWFAR_API GWEN_BUFFEREDIO* GWEN_BufferedIO_Buffer2_new | ( | GWEN_BUFFER * | buffer,
|  | int | take
| ) |

| Create a buffered IO context using a GWEN_BUFFER. This function does NOT take over ownership for that buffer ! This context can be free'd using GWEN_BufferedIO_free.

GWENHYWFAR_API GWEN_BUFFEREDIO* GWEN_BufferedIO_Buffer_fromString | ( | const char * | s,
|  | int | len
| ) |

| Create a buffered IO context using a GWEN_BUFFER. This context can be free'd using GWEN_BufferedIO_free.

GWENHYWFAR_API GWEN_BUFFEREDIO* GWEN_BufferedIO_Buffer_new | ( | GWEN_BUFFER * | buffer | ) |

| Create a buffered IO context using a GWEN_BUFFER. This function takes over ownership for that buffer ! This context can be free'd using GWEN_BufferedIO_free.